Nodejs 12 LTS issue with Foundation CLI

There is an issue when updating to Nodejs 12 LTS , something related to gulp
this is the issue
fs.js:27
const { Math, Object } = primordials;
^
ReferenceError: primordials is not defined
I found the issue in [stackoverflow] (https://stackoverflow.com/questions/55921442/how-to-fix-referenceerror-primordials-is-not-defined-in-node)
,they said either to update gulp or downgrade nodejs
the second works but i want to keep the new nodejs version and update gulp
there is a node version manager nvm to keep both nodejs version but it appears complicated
is there a simple way to update gulp ?

Hi,

this issue is already known. We have to update a few dependencies when we find the needed time.

Please switch to NodeJS 10 (using nvm, nodenv, n or another solution).

To update gulp enter "gulp": "^4.0.2" in the package.json where it is currently in (with 3.x).

See https://github.com/foundation/foundation-cli/issues/119

2 Likes